<div *ngIf="isEmpty" class="m-5">
    <h4 class="no-records">All Requirements are Fixed</h4>
</div>
<div *ngIf="!isEmpty" class="requirement">
    <p class="category-header"><b>{{selectedCategory?.categoryName}}</b></p>
    <div class="card">
        <div class="table-responsive">
            <div *ngIf="!requirements?.length && isFixed" class="m-5">
                <h4 class="no-records">Requirements in this Category are Fixed</h4>
            </div>
            <table *ngIf="requirements?.length" class="table table-striped show-in-des">
                <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
                    <th class="w-25" jhiSortBy="requirementNumber"><label
                        jhiTranslate="pcidssApp.selfAssessment.list.number">Requirement</label>&nbsp;<span
                        class="fa fa-sort"></span></th>
                    <th class="w-50" jhiSortBy="requirement"><label
                        jhiTranslate="pcidssApp.selfAssessment.list.description">Description</label>&nbsp;<span
                        class="fa fa-sort"></span></th>
                    <th class="action w-25"><label
                        jhiTranslate="pcidssApp.selfAssessment.list.action">Action</label></th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let requirement of requirements">
                    <td>{{requirement.requirementNumber}}</td>
                    <td>{{requirement.requirement}}</td>
                    <td>
                        <jhi-button (click)="goToRequirement(requirement)" review>Review</jhi-button>
                    </td>
                </tr>
                </tbody>
            </table>
            <div class="show-in-mob">
                <div *ngFor="let requirement of requirements" class="card m-2 shadow-view">
                    <div class="d-flex">
                        <div class="col-5"><label
                            jhiTranslate="pcidssApp.selfAssessment.lists.number">Requirement</label>&nbsp;
                        </div>
                        <div class="col-7">{{requirement.requirementNumber}}</div>
                    </div>
                    <div class="d-flex">
                        <div class="col-5"><label
                            jhiTranslate="pcidssApp.selfAssessment.lists.description">Description</label>&nbsp;
                        </div>
                        <div class="col-7">{{requirement.requirement}}</div>
                    </div>
                    <div class="d-flex">
                        <div class="col-5"><label
                            jhiTranslate="pcidssApp.selfAssessment.lists.action">Action</label></div>
                        <div class="col-7">
                            <jhi-button (click)="goToRequirement(requirement)" review>Review</jhi-button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
